## PUSH UP MACHINE

import board, neopixel
from analogio import AnalogIn
from rainbowio import colorwheel
import vl53l1x
import board, digitalio
from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile

potentiometer = AnalogIn(board.A3)

speaker = digitalio.DigitalInOut(board.SPEAKER_ENABLE)
speaker.direction = digitalio.Direction.OUTPUT
speaker.value = True
audio = AudioOut(board.SPEAKER)

distance_sensor = adafruit_vl53l1x.VL53L1X(i2c)
distance_sensor.distance_mode = 1
distance_sensor.timing_budget = 100
distance_sensor.start_ranging()

strip = neopixel.NeoPixel(board.A1, 30, brightness = 1, auto_write=True)

path = "sounds/"

count = 0

def play_sound_congrats(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            strip.fill((0,255,0))
            for i in range(0, 101):
                strip.brighness = i/100
            for i in range(100, -1, -1):
                strip.brightness = i/100

def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            strip.fill((255,0,0))
            for i in range(0, 101):
                strip.brighness = i/100
            for i in range(100, -1, -1):
                strip.brightness = i/100

while True:
    if distance_sensor.data_ready:
        if count > 9:
            count = 0
            play_sound_congrats("Congrats.wav")
        if distance < 10:
            random_number = random.randint(0,4)
            if random_number == 0:
                play_sound("Drake.wav")
                count = count + 1
            if random_number == 1:
                play_sound("Eminem.wav")
                count = count + 1
            if random_number == 2:
                play_sound("Obama.wav")
                count = count + 1
            if random_number == 3:
                play_sound("ObiWanKenobi.wav")
                count = count + 1
            if random_number == 4:
                play_sound("Trump.wav")
                count = count + 1
        else:
            random_color = potentiometer.value / 257
            strip.fill(colorwheel(random_color))
            strip.brightness = (135 - distance) / 135


